Bug 1472194 - [abrt] gns3-server: resolve(): __init__.py:862:resolve:pkg_resources.ContextualVersionConflict: (yarl 0.10.3 (/usr/lib64/python3.6/site-packages), Requirement.parse('yarl>=0.11'), {'aiohttp'})
[abrt] gns3-server: resolve(): __init__.py:862:resolve:pkg_resources.Contextu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gns3-server (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Athmane Madjoudj
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:509b6d139ab547946048f78bad3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 05:06 EDT by Renato Negreiros
Modified: 2017-11-10 21:54 EST (History)
1 user (show)

See Also:
Fixed In Version: gns3-server-2.1.0-0.rc1.fc26 gns3-server-2.1.0-0.rc1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-31 20:04:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.96 KB, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details
File: environ (1.65 KB, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details
File: mountinfo (3.64 KB, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details
File: open_fds (237 bytes, text/plain)
2017-07-18 05:06 EDT, Renato Negreiros
no flags Details

  None (edit)
Description Renato Negreiros 2017-07-18 05:06:08 EDT
Version-Release number of selected component:
gns3-server-1.5.3-2.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/gns3server --host=127.0.0.1 --port=3080 --local --controller --log=/home/rsilva/.config/GNS3/gns3_server.log --pid=/home/rsilva/.config/GNS3/gns3_server.pid
crash_function: resolve
exception_type: pkg_resources.ContextualVersionConflict
executable:     /usr/bin/gns3server
kernel:         4.11.10-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
#1 resolve in /usr/lib/python3.6/site-packages/pkg_resources/__init__.py:862
#2 require in /usr/lib/python3.6/site-packages/pkg_resources/__init__.py:971
#3 _build_master in /usr/lib/python3.6/site-packages/pkg_resources/__init__.py:657
Comment 1 Renato Negreiros 2017-07-18 05:06:13 EDT
Created attachment 1300329 [details]
File: backtrace
Comment 2 Renato Negreiros 2017-07-18 05:06:14 EDT
Created attachment 1300330 [details]
File: cgroup
Comment 3 Renato Negreiros 2017-07-18 05:06:15 EDT
Created attachment 1300331 [details]
File: cpuinfo
Comment 4 Renato Negreiros 2017-07-18 05:06:17 EDT
Created attachment 1300332 [details]
File: environ
Comment 5 Renato Negreiros 2017-07-18 05:06:18 EDT
Created attachment 1300333 [details]
File: mountinfo
Comment 6 Renato Negreiros 2017-07-18 05:06:19 EDT
Created attachment 1300334 [details]
File: namespaces
Comment 7 Renato Negreiros 2017-07-18 05:06:20 EDT
Created attachment 1300335 [details]
File: open_fds
Comment 8 Fedora Update System 2017-10-15 16:43:38 EDT
gns3-server-2.1.0-0.rc1.fc27 gns3-gui-2.1.0-0.rc1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-340afac5e7
Comment 9 Fedora Update System 2017-10-15 17:08:27 EDT
gns3-server-2.1.0-0.rc1.fc26 gns3-gui-2.1.0-0.rc1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac11eb08b7
Comment 10 Fedora Update System 2017-10-15 17:50:08 EDT
gns3-gui-2.1.0-0.rc1.fc26, gns3-server-2.1.0-0.rc1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac11eb08b7
Comment 11 Fedora Update System 2017-10-16 01:22:58 EDT
gns3-gui-2.1.0-0.rc1.fc27, gns3-server-2.1.0-0.rc1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-340afac5e7
Comment 12 Fedora Update System 2017-10-18 15:50:57 EDT
gns3-gui-2.1.0-0.rc1.fc26 gns3-server-2.1.0-0.rc1.fc26 python-aiohttp-cors-0.5.3-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac11eb08b7
Comment 13 Fedora Update System 2017-10-19 15:52:17 EDT
gns3-gui-2.1.0-0.rc1.fc26, gns3-server-2.1.0-0.rc1.fc26, python-aiohttp-cors-0.5.3-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac11eb08b7
Comment 14 Fedora Update System 2017-10-31 20:04:44 EDT
gns3-gui-2.1.0-0.rc1.fc26, gns3-server-2.1.0-0.rc1.fc26, python-aiohttp-cors-0.5.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2017-11-10 21:54:07 EST
gns3-gui-2.1.0-0.rc1.fc27, gns3-server-2.1.0-0.rc1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.